local L = AceLibrary("AceLocale-2.2"):new("xChar")

function xChar:createBossTable() 

	self.BossTable = {}
	-- for testing on non-bosses
	-- self.BossTable["Skettis Surger"] = "Skettis Surger"

	self.BossTable["Attumen the Huntsman"] = L["Attumen the Huntsman"]
	self.BossTable["Dorothee"] = L["Dorothee"]
	self.BossTable["Hyakiss the Lurker"] = L["Hyakiss the Lurker"]
	self.BossTable["Julianne"] = L["Julianne"]
	self.BossTable["Maiden of Virtue"] = L["Maiden of Virtue"]
	self.BossTable["Midnight"] = L["Midnight"]
	self.BossTable["Moroes"] = L["Moroes"]
	self.BossTable["Netherspite"] = L["Netherspite"]
	self.BossTable["Nightbane"] = L["Nightbane"]
	self.BossTable["Prince Malchezaar"] = L["Prince Malchezaar"]
	self.BossTable["Roar"] = L["Roar"]
	self.BossTable["Rokad the Ravager"] = L["Rokad the Ravager"]
	self.BossTable["Romulo"] = L["Romulo"]
	self.BossTable["Shade of Aran"] = L["Shade of Aran"]
	self.BossTable["Shadikith the Glider"] = L["Shadikith the Glider"]
	self.BossTable["Strawman"] = L["Strawman"]
	self.BossTable["Terestian Illhoof"] = L["Terestian Illhoof"]
	self.BossTable["The Big Bad Wolf"] = L["The Big Bad Wolf"]
	self.BossTable["The Crone"] = L["The Crone"]
	self.BossTable["The Curator"] = L["The Curator"]
	self.BossTable["Tinhead"] = L["Tinhead"]
	self.BossTable["Tito"] = L["Tito"]
	
	self.BossTable["Fathom-Lord Karathress"] = L["Fathom-Lord Karathress"]
	self.BossTable["Hydross the Unstable"] = L["Hydross the Unstable"]
	self.BossTable["Lady Vashj"] = L["Lady Vashj"]
	self.BossTable["Leotheras the Blind"] = L["Leotheras the Blind"]
	self.BossTable["Morogrim Tidewalker"] = L["Morogrim Tidewalker"]
	self.BossTable["The Lurker Below"] = L["The Lurker Below"]
	
	self.BossTable["Gruul the Dragonkiller"] = L["Gruul the Dragonkiller"]
	self.BossTable["High King Maulgar"] = L["High King Maulgar"]

	self.BossTable["Magtheridon"] = L["Magtheridon"]

	self.BossTable["Al'ar"] = L["Al'ar"]
	self.BossTable["High Astromancer Solarian"] = L["High Astromancer Solarian"]
	self.BossTable["Kael'thas Sunstrider"] = L["Kael'thas Sunstrider"]
	self.BossTable["Void Reaver"] = L["Void Reaver"]
	
	self.BossTable["Illidan Stormrage"] = L["Illidan Stormrage"]
	self.BossTable["Mother Shahraz"] = L["Mother Shahraz"]
	self.BossTable["Lady Malande"] = L["Lady Malande"]
	self.BossTable["High Warlord Naj'entus"] = L["High Warlord Naj'entus"]
	self.BossTable["Teron Gorefiend"] = L["Teron Gorefiend"] 
	self.BossTable["Gathios the Shatterer"] = L["Gathios the Shatterer"]
	self.BossTable["Veras Darkshadow"] = L["Veras Darkshadow"]
	self.BossTable["Gurtogg Bloodboil"] = L["Gurtogg Bloodboil"] 
	self.BossTable["High Nethermancer Zerevor"] = L["High Nethermancer Zerevor"]
	self.BossTable["Essence of Desire"] = L["Essence of Desire"]
	self.BossTable["Essence of Grief"] = L["Essence of Grief"]
	self.BossTable["Essence of Anger"] = L["Essence of Anger"]
	self.BossTable["Supremus"] = L["Supremus"]


	self.BossPoints = {}
	-- for testing on non-bosses
	-- self.BossPoints["Skettis Surger"] = "Skettis Surger"

	self.BossPoints["Attumen the Huntsman"] = 4
	self.BossPoints["Midnight"] = 4

	self.BossPoints["Dorothee"] = 1
	self.BossPoints["Roar"] = 1
	self.BossPoints["Tinhead"] = 1
	self.BossPoints["Tito"] = 1
	self.BossPoints["Strawman"] = 1
	self.BossPoints["The Crone"] = 1

	self.BossPoints["Julianne"] = 4
	self.BossPoints["Romulo"] = 4

	self.BossPoints["The Big Bad Wolf"] = 8

	self.BossPoints["Maiden of Virtue"] = 8
	self.BossPoints["Moroes"] = 8
	self.BossPoints["Netherspite"] = 8
	self.BossPoints["Nightbane"] = 11
	self.BossPoints["Prince Malchezaar"] = 8
	self.BossPoints["Shade of Aran"] = 8
	self.BossPoints["Terestian Illhoof"] = 8
	self.BossPoints["The Curator"] = 8

	self.BossPoints["Hyakiss the Lurker"] = 1
	self.BossPoints["Shadikith the Glider"] = 1
	self.BossPoints["Rokad the Ravager"] = 1
	
	self.BossPoints["Fathom-Lord Karathress"] = 16
	self.BossPoints["Hydross the Unstable"] = 16
	self.BossPoints["Lady Vashj"] = 20
	self.BossPoints["Leotheras the Blind"] = 16
	self.BossPoints["Morogrim Tidewalker"] = 16
	self.BossPoints["The Lurker Below"] = 16
	
	self.BossPoints["Gruul the Dragonkiller"] = 50
	self.BossPoints["High King Maulgar"] = 50

	self.BossPoints["Magtheridon"] = 100

	self.BossPoints["Al'ar"] = 25
	self.BossPoints["High Astromancer Solarian"] = 25
	self.BossPoints["Kael'thas Sunstrider"] = 25
	self.BossPoints["Void Reaver"] = 25

	self.BossPoints["Illidan Stormrage"] = 9
	self.BossPoints["Mother Shahraz"] = 7
	self.BossPoints["Lady Malande"] = 7
	self.BossPoints["High Warlord Naj'entus"] = 7
	self.BossPoints["Teron Gorefiend"] = 7
	self.BossPoints["Gathios the Shatterer"] = 7
	self.BossPoints["Veras Darkshadow"] = 7
	self.BossPoints["Gurtogg Bloodboil"] = 7
	self.BossPoints["High Nethermancer Zerevor"] = 7
	self.BossPoints["Essence of Desire"] = 7
	self.BossPoints["Essence of Grief"] = 7
	self.BossPoints["Essence of Anger"] = 7
	self.BossPoints["Supremus"] = 7

end